Package org.apache.commons.compress.archivers.arj

# Class ArjArchiveEntry

java.lang.Object
org.apache.commons.compress.archivers.arj.ArjArchiveEntry

All Implemented Interfaces:
  `ArchiveEntry`

public class ArjArchiveEntry extends Object implements ArchiveEntry
An entry in an ARJ archive.

Since:
  1.6
This class is not thread-safe

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ArjArchiveEntry.HostOs`
  The known values for HostOs.

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.compress.archivers.ArchiveEntry

  `SIZE_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArjArchiveEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getHostOs()`
  The operating system the archive has been created on.
  `Date`
  `getLastModifiedDate()`
  The last modified date of the entry.
  `int`
  `getMode()`
  File mode of this entry.
  `String`
  `getName()`
  Gets this entry's name.
  `long`
  `getSize()`
  Gets this entry's file size.
  `int`
  `getUnixMode()`
  File mode of this entry as UNIX stat value.
  `int`
  `hashCode()`
  `boolean`
  `isDirectory()`
  True if the entry refers to a directory.
  `boolean`
  `isHostOsUnix()`
  Is the operating system the archive has been created on one that is considered a UNIX OS by arj?

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.compress.archivers.ArchiveEntry

  `resolveIn`

- ## Constructor Details

  - ### ArjArchiveEntry

    public ArjArchiveEntry()

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getHostOs

    public int getHostOs()
    The operating system the archive has been created on.
    Returns:
      the host OS code
    See Also:
      - `ArjArchiveEntry.HostOs`

  - ### getLastModifiedDate

    public Date getLastModifiedDate()
    The last modified date of the entry.

    Note the interpretation of time is different depending on the HostOS that has created the archive. While an OS that is `considered to be Unix` stores time in a time zone independent manner, other platforms only use the local time. I.e. if an archive has been created at midnight UTC on a machine in time zone UTC this method will return midnight regardless of time zone if the archive has been created on a non-UNIX system and a time taking the current time zone into account if the archive has been created on Unix.

    Specified by:
      `getLastModifiedDate` in interface `ArchiveEntry`
    Returns:
      the last modified date

  - ### getMode

    public int getMode()
    File mode of this entry.

    The format depends on the host os that created the entry.

    Returns:
      the file mode

  - ### getName

    public String getName()
    Gets this entry's name.

    This method returns the raw name as it is stored inside of the archive.

    Specified by:
      `getName` in interface `ArchiveEntry`
    Returns:
      This entry's name.

  - ### getSize

    public long getSize()
    Gets this entry's file size.
    Specified by:
      `getSize` in interface `ArchiveEntry`
    Returns:
      This entry's file size.

  - ### getUnixMode

    public int getUnixMode()
    File mode of this entry as UNIX stat value.

    Will only be non-zero of the host os was UNIX.

    Returns:
      the UNIX mode

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isDirectory

    public boolean isDirectory()
    True if the entry refers to a directory.
    Specified by:
      `isDirectory` in interface `ArchiveEntry`
    Returns:
      True if the entry refers to a directory

  - ### isHostOsUnix

    public boolean isHostOsUnix()
    Is the operating system the archive has been created on one that is considered a UNIX OS by arj?
    Returns:
      whether the operating system the archive has been created on is considered a UNIX OS by arj